socket_broadcast(3)

NAME
socket_broadcast - set UDP socket to broadcast mode

SYNTAX
#include <socket.h> int socket_broadcast(int s);

DESCRIPTION
socket_broadcast sets UDP socket s to broadcast mode. socket_send4 and socket_send6 will fail to send packets to the broadcast address unless socket_broadcast is called before. Normally socket_broadcast returns 0. If anything goes wrong, socket_broadcast returns -1, setting errno appropriately.

EXAMPLE
  #include <socket.h>
  int s;
  if ((s=socket_udp6())==-1)
    strerr_die2sys(111,FATAL,"unable to create UDP socket: ");
  if (socket_broadcast(s) == -1)
    strerr_die2sys(111,FATAL,"unable to set broadcast mode: ");

SEE ALSO
socket_send4(3), socket_send6(3)